#!/bin/bash

if pidof i3lock &> /dev/null; then exit 1; fi

revert() {
	xset dpms 0 0 0
	logger "unlocking screen"
}
trap revert SIGHUP SIGINT SIGTERM EXIT
xset +dpms dpms 10 10 10

xset dpms force off
logger "locking screen"
i3lock -n -c 000000
